local DirSync = {}

function DirSync.ID()
  return "9DABC9DE-4E2A-4B28-9ACD-98BFDA84D3DD"
end

function DirSync.Installed()
  return Plugin.Exists(DirSync.ID())
end

function DirSync.Loaded()
  return far.IsPluginLoaded(DirSync.ID())
end

function DirSync.IsEditor()
  return Plugin.Call(DirSync.ID(), "is_editor")
end

function DirSync.ChangeDirection(Direction)
  return Plugin.Call(DirSync.ID(), "change_direction", Direction)
end

function DirSync.ChangeDirectionLeft()
  return DirSync.ChangeDirection("left")
end

function DirSync.ChangeDirectionRight()
  return DirSync.ChangeDirection("right")
end

function DirSync.GoToNextDifference(Direction)
  return Plugin.Call(DirSync.ID(), "next_difference", Direction)
end

function DirSync.GoToNextDifferenceLeft()
  return DirSync.GoToNextDifference("left")
end

function DirSync.GoToNextDifferenceRight()
  return DirSync.GoToNextDifference("right")
end

function DirSync.EditFile(Direction)
  return Plugin.Call(DirSync.ID(), "edit_file", Direction)
end

function DirSync.EditFileLeft()
  return DirSync.EditFile("left")
end

function DirSync.EditFileRight()
  return DirSync.EditFile("right")
end

function DirSync.GoToFile(Direction)
  return Plugin.Call(DirSync.ID(), "goto_file", Direction)
end

function DirSync.GoToFileLeft()
  return DirSync.GoToFile("left")
end

function DirSync.GoToFileRight()
  return DirSync.GoToFile("right")
end

function DirSync.CompareFiles()
  return Plugin.Call(DirSync.ID(), "compare")
end

function DirSync.ShowFileInfo()
  return Plugin.Call(DirSync.ID(), "file_info")
end

Macro
{
  description = "DirSync: test a command";
  area = "Editor";
  key = "F5";
  action = function()
    return DirSync.ShowFileInfo()
    --return DirSync.CompareFiles()
    --return DirSync.ChangeDirectionLeft()
    --return DirSync.ChangeDirectionRight()
    --return DirSync.GoToFileLeft()
    --return DirSync.GoToFileRight()
    --return DirSync.EditFileLeft()
    --return DirSync.EditFileRight()
    --return DirSync.GoToNextDifferenceLeft()
    --return DirSync.GoToNextDifferenceRight()
  end
}
